package com.ruoyi.web.modules.epidemic.domain.dto;

import java.util.Date;
import javax.validation.constraints.NotNull;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 疫情上报解除请求。
 */
public class EpidemicReportRelieveRequest
{
    @NotNull(message = "主键不能为空")
    private Long id;

    @NotNull(message = "解除日期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date releaseDate;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Date getReleaseDate()
    {
        return releaseDate;
    }

    public void setReleaseDate(Date releaseDate)
    {
        this.releaseDate = releaseDate;
    }
}
